The SML of NJ Library
The `RedBlackMapFn` functor

The `RedBlackMapFn` functor provides a red-black-tree implementation of the `ORD_MAP` signature parameterized over the key type.

This functor is the preferred implementation of finite maps over ordered keys as it is faster than the other implementations.

## Synopsis

    functor RedBlackMapFn (K : ORD_KEY) :> ORD_MAP where type Key.ord_key = K.ord_key

## See Also

`ORD_KEY`, `ORD_MAP`, The Util Library

SML/NJ Version 110.99.3 (August 1, 2023)
Last updated 2023-07-31 17:59:01 UTC